const
	maxn = 512;

var
	i, j, di, dj, n, x, y: longint;
	a: array [1..maxn, 1..maxn] of char;

function norm(x, y: longint): longint;
begin
	x := ((x mod y) + y) mod y;
	if x = 0 then x := y;
	norm := x;
end;

begin
	randseed := 333420470;

	n := 1 shl 9;

	for i := 1 to n do begin
		for j := 1 to n do begin
			a[i][j] := 'az'[(i + j) mod 2 + 1];
		end;
	end;

	
	for i := 1 to 1000 do begin
		x := random(n) + 1;
		y := random(n) + 1;
		a[x][y] := char(ord('a') + random(26));
	end;
	

	di := random(n);
	dj := random(n);

	for i := 1 to n do begin
		for j := 1 to n do begin
			write(a[norm(i + di, n)][norm(j + dj, n)]);
		end;
		writeln;
	end;
end.